Skip to main content
PUT
/
api
/
v1
/
status-pages
/
{id}
/
layout
/
reorder
Reorder page-level layout: groups and ungrouped components share one ordering
curl --request PUT \
  --url https://api.devhelm.io/api/v1/status-pages/{id}/layout/reorder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sections": [
    {
      "pageOrder": 123,
      "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "groupOrders": [
    {
      "positions": [
        {
          "componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "displayOrder": 123,
          "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
'

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Body

application/json

Reorder page-level layout: groups and ungrouped components share one ordering

sections
object[]
required

Top-level sections in their new order

Minimum array length: 1
groupOrders
object[] | null

Within-group component ordering; only needed for groups whose internal order changed

Response

204

No Content